scala.tools.nsc.backend.jvm

# AsmUtils

#### object AsmUtils

Source
  AsmUtils.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AsmUtils
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### def readClass(bytes: Array[Byte]): ClassNode

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### def traceClass(bytes: Array[Byte]): Unit

19. #### def traceClass(cnode: ClassNode): Unit

20. #### final val traceClassEnabled: Boolean(false)

    Print the bytecode of classes generated by GenBCode to the standard output.

21. #### final val traceClassPattern: String("")

22. #### def traceMethod(mnode: MethodNode): Unit

23. #### final val traceMethodEnabled: Boolean(false)

    Print the bytecode of methods generated by GenBCode to the standard output.

    Print the bytecode of methods generated by GenBCode to the standard output. Only methods whose name contains `traceMethodPattern` are traced.

24. #### final val traceMethodPattern: String("")

25. #### final val traceSerializedClassEnabled: Boolean(false)

    Print the bytedcode of classes as they are serialized by the ASM library.

    Print the bytedcode of classes as they are serialized by the ASM library. The serialization performed by `asm.ClassWriter` can change the code generated by GenBCode. For example, it introduces stack map frames, it computes the maximal stack sizes, and it replaces dead code by NOPs (see also https://github.com/scala/scala/pull/3726#issuecomment-42861780).

26. #### final val traceSerializedClassPattern: String("")

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped